> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a ProxyProfile resource.

> Retrieves a ProxyProfile resource.



## OpenAPI

````yaml /openapi.json get /api/teams/{team_id}/proxy_profiles/{id}
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/teams/{team_id}/proxy_profiles/{id}:
    get:
      tags:
        - ProxyProfile
      summary: Retrieves a ProxyProfile resource.
      description: Retrieves a ProxyProfile resource.
      operationId: proxy_profile_get
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: id
          in: path
          description: ProxyProfile identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: ProxyProfile resource
          content:
            application/ld+json:
              schema:
                $ref: >-
                  #/components/schemas/ProxyProfile.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ProxyProfile-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/ProxyProfile.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
components:
  schemas:
    ProxyProfile.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            name:
              minLength: 3
              default: ''
              type: string
            notes:
              maxLength: 1000
              type:
                - string
                - 'null'
            proxy_type:
              type:
                - string
                - 'null'
              enum:
                - residential
                - mobile
                - null
            auth_method:
              default: usernamePassword
              type: string
              enum:
                - usernamePassword
                - ipWhitelist
            proxy_protocol:
              default: http
              type: string
              enum:
                - http
                - https
                - socks5
            port:
              minimum: 2000
              maximum: 2999
              type:
                - integer
                - 'null'
            location:
              $ref: >-
                #/components/schemas/Location.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            session:
              $ref: >-
                #/components/schemas/Session.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            advanced_settings:
              $ref: >-
                #/components/schemas/AdvancedSettings.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            proxy_generator:
              $ref: >-
                #/components/schemas/ProxyGenerator.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            team:
              $ref: >-
                #/components/schemas/Team.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            proxy_account:
              $ref: >-
                #/components/schemas/ProxyAccount.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
      description: Core proxy profile operations
    ProxyProfile-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      description: Core proxy profile operations
      properties:
        id:
          readOnly: true
          type: string
        name:
          minLength: 3
          default: ''
          type: string
        notes:
          maxLength: 1000
          type:
            - string
            - 'null'
        proxy_type:
          type:
            - string
            - 'null'
          enum:
            - residential
            - mobile
            - null
        auth_method:
          default: usernamePassword
          type: string
          enum:
            - usernamePassword
            - ipWhitelist
        proxy_protocol:
          default: http
          type: string
          enum:
            - http
            - https
            - socks5
        port:
          minimum: 2000
          maximum: 2999
          type:
            - integer
            - 'null'
        location:
          $ref: >-
            #/components/schemas/Location-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        session:
          $ref: >-
            #/components/schemas/Session-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        advanced_settings:
          $ref: >-
            #/components/schemas/AdvancedSettings-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        proxy_generator:
          $ref: >-
            #/components/schemas/ProxyGenerator-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        team:
          $ref: >-
            #/components/schemas/Team-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        proxy_account:
          $ref: >-
            #/components/schemas/ProxyAccount-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
    ProxyProfile.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      description: Core proxy profile operations
      properties:
        id:
          readOnly: true
          type: string
        name:
          minLength: 3
          default: ''
          type: string
        notes:
          maxLength: 1000
          type:
            - string
            - 'null'
        proxy_type:
          type:
            - string
            - 'null'
          enum:
            - residential
            - mobile
            - null
        auth_method:
          default: usernamePassword
          type: string
          enum:
            - usernamePassword
            - ipWhitelist
        proxy_protocol:
          default: http
          type: string
          enum:
            - http
            - https
            - socks5
        port:
          minimum: 2000
          maximum: 2999
          type:
            - integer
            - 'null'
        location:
          $ref: >-
            #/components/schemas/Location.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        session:
          $ref: >-
            #/components/schemas/Session.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        advanced_settings:
          $ref: >-
            #/components/schemas/AdvancedSettings.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        proxy_generator:
          $ref: >-
            #/components/schemas/ProxyGenerator.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        team:
          $ref: >-
            #/components/schemas/Team.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
        proxy_account:
          $ref: >-
            #/components/schemas/ProxyAccount.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
    Location.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        country_code:
          minLength: 2
          maxLength: 2
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        asn:
          type:
            - integer
            - 'null'
    Session.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        type:
          default: rotating
          type: string
          enum:
            - rotating
            - sticky
        duration:
          minimum: 1
          maximum: 10080
          type:
            - integer
            - 'null'
    AdvancedSettings.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        region_endpoint:
          default: false
          type: boolean
        region_endpoint_country:
          type:
            - string
            - 'null'
        region_endpoint_region:
          type:
            - string
            - 'null'
        region_endpoint_city:
          type:
            - string
            - 'null'
        sess_replace:
          type:
            - boolean
            - 'null'
        sess_ip_collision:
          type:
            - string
            - 'null'
          enum:
            - strict
            - flexible
            - null
        sess_asn:
          type:
            - string
            - 'null'
          enum:
            - strict
            - flexible
            - null
        tcp_ip_fingerprint:
          default: false
          type: boolean
        tcp_ip_fingerprint_preset:
          type:
            - string
            - 'null'
        filter_by_subnets:
          default: false
          type: boolean
        filter_by_subnets_list:
          uniqueItems: true
          type:
            - array
            - 'null'
          items:
            type:
              - string
              - 'null'
        gps_location_filtering:
          default: false
          type: boolean
        gps_location_address:
          type:
            - string
            - 'null'
        gps_location_lat:
          type:
            - number
            - 'null'
        gps_location_lng:
          type:
            - number
            - 'null'
        gps_location_radius_miles:
          type:
            - number
            - 'null'
    ProxyGenerator.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        count:
          minimum: 1
          maximum: 1000
          default: 1
          type: integer
        output_format:
          default: host:port:user:pass
          type: string
        delimiter:
          default: comma
          type: string
          enum:
            - comma
            - pipe
            - space
            - newline
            - tab
        session_prefix:
          maxLength: 50
          type:
            - string
            - 'null'
        session_label:
          maxLength: 100
          type:
            - string
            - 'null'
        include_protocol:
          default: false
          type: boolean
        use_ip_change_url:
          default: false
          type: boolean
    Team.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            name:
              type: string
            owner_email:
              readOnly: true
              type: string
          required:
            - name
      description: Basic CRUD operations
    ProxyAccount.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            description:
              maxLength: 256
              type:
                - string
                - 'null'
            enabled:
              default: true
              type: boolean
            status:
              readOnly: true
              default: ACCOUNT_BLOCKED
              type: string
            is_active:
              readOnly: true
              default: false
              type: boolean
            username:
              minLength: 6
              type: string
            plain_password:
              minLength: 6
              pattern: ^([a-zA-Z0-9_]+)$
              type:
                - string
                - 'null'
            team:
              anyOf:
                - $ref: >-
                    #/components/schemas/Team.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
                - type: 'null'
    Location-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        country_code:
          minLength: 2
          maxLength: 2
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        asn:
          type:
            - integer
            - 'null'
    Session-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        type:
          default: rotating
          type: string
          enum:
            - rotating
            - sticky
        duration:
          minimum: 1
          maximum: 10080
          type:
            - integer
            - 'null'
    AdvancedSettings-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        region_endpoint:
          default: false
          type: boolean
        region_endpoint_country:
          type:
            - string
            - 'null'
        region_endpoint_region:
          type:
            - string
            - 'null'
        region_endpoint_city:
          type:
            - string
            - 'null'
        sess_replace:
          type:
            - boolean
            - 'null'
        sess_ip_collision:
          type:
            - string
            - 'null'
          enum:
            - strict
            - flexible
            - null
        sess_asn:
          type:
            - string
            - 'null'
          enum:
            - strict
            - flexible
            - null
        tcp_ip_fingerprint:
          default: false
          type: boolean
        tcp_ip_fingerprint_preset:
          type:
            - string
            - 'null'
        filter_by_subnets:
          default: false
          type: boolean
        filter_by_subnets_list:
          uniqueItems: true
          type:
            - array
            - 'null'
          items:
            type:
              - string
              - 'null'
        gps_location_filtering:
          default: false
          type: boolean
        gps_location_address:
          type:
            - string
            - 'null'
        gps_location_lat:
          type:
            - number
            - 'null'
        gps_location_lng:
          type:
            - number
            - 'null'
        gps_location_radius_miles:
          type:
            - number
            - 'null'
    ProxyGenerator-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        count:
          minimum: 1
          maximum: 1000
          default: 1
          type: integer
        output_format:
          default: host:port:user:pass
          type: string
        delimiter:
          default: comma
          type: string
          enum:
            - comma
            - pipe
            - space
            - newline
            - tab
        session_prefix:
          maxLength: 50
          type:
            - string
            - 'null'
        session_label:
          maxLength: 100
          type:
            - string
            - 'null'
        include_protocol:
          default: false
          type: boolean
        use_ip_change_url:
          default: false
          type: boolean
    Team-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        owner_email:
          readOnly: true
          type: string
      required:
        - name
    ProxyAccount-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        description:
          maxLength: 256
          type:
            - string
            - 'null'
        enabled:
          default: true
          type: boolean
        status:
          readOnly: true
          default: ACCOUNT_BLOCKED
          type: string
        is_active:
          readOnly: true
          default: false
          type: boolean
        username:
          minLength: 6
          type: string
        plain_password:
          minLength: 6
          pattern: ^([a-zA-Z0-9_]+)$
          type:
            - string
            - 'null'
        team:
          anyOf:
            - $ref: >-
                #/components/schemas/Team-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            - type: 'null'
    Location.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        country_code:
          minLength: 2
          maxLength: 2
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        asn:
          type:
            - integer
            - 'null'
    Session.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        type:
          default: rotating
          type: string
          enum:
            - rotating
            - sticky
        duration:
          minimum: 1
          maximum: 10080
          type:
            - integer
            - 'null'
    AdvancedSettings.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        region_endpoint:
          default: false
          type: boolean
        region_endpoint_country:
          type:
            - string
            - 'null'
        region_endpoint_region:
          type:
            - string
            - 'null'
        region_endpoint_city:
          type:
            - string
            - 'null'
        sess_replace:
          type:
            - boolean
            - 'null'
        sess_ip_collision:
          type:
            - string
            - 'null'
          enum:
            - strict
            - flexible
            - null
        sess_asn:
          type:
            - string
            - 'null'
          enum:
            - strict
            - flexible
            - null
        tcp_ip_fingerprint:
          default: false
          type: boolean
        tcp_ip_fingerprint_preset:
          type:
            - string
            - 'null'
        filter_by_subnets:
          default: false
          type: boolean
        filter_by_subnets_list:
          uniqueItems: true
          type:
            - array
            - 'null'
          items:
            type:
              - string
              - 'null'
        gps_location_filtering:
          default: false
          type: boolean
        gps_location_address:
          type:
            - string
            - 'null'
        gps_location_lat:
          type:
            - number
            - 'null'
        gps_location_lng:
          type:
            - number
            - 'null'
        gps_location_radius_miles:
          type:
            - number
            - 'null'
    ProxyGenerator.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        count:
          minimum: 1
          maximum: 1000
          default: 1
          type: integer
        output_format:
          default: host:port:user:pass
          type: string
        delimiter:
          default: comma
          type: string
          enum:
            - comma
            - pipe
            - space
            - newline
            - tab
        session_prefix:
          maxLength: 50
          type:
            - string
            - 'null'
        session_label:
          maxLength: 100
          type:
            - string
            - 'null'
        include_protocol:
          default: false
          type: boolean
        use_ip_change_url:
          default: false
          type: boolean
    Team.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        name:
          type: string
        owner_email:
          readOnly: true
          type: string
      required:
        - name
    ProxyAccount.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        description:
          maxLength: 256
          type:
            - string
            - 'null'
        enabled:
          default: true
          type: boolean
        status:
          readOnly: true
          default: ACCOUNT_BLOCKED
          type: string
        is_active:
          readOnly: true
          default: false
          type: boolean
        username:
          minLength: 6
          type: string
        plain_password:
          minLength: 6
          pattern: ^([a-zA-Z0-9_]+)$
          type:
            - string
            - 'null'
        team:
          anyOf:
            - $ref: >-
                #/components/schemas/Team.html-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted
            - type: 'null'
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````